Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss
Class WSSKeyIdentifier

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSSElement
oracle.security.xmlsec.wss.WSSKeyIdentifier`

All Implemented Interfaces:
  WSSecurityTokenReferenceType

Direct Known Subclasses:
  KerberosKeyIdentifier, SAMLAssertionKeyIdentifier, X509KeyIdentifier

public abstract class WSSKeyIdentifier
extends WSSElement
implements WSSecurityTokenReferenceType

The base class for wsse:KeyIdentifier that is used within a wsse:SecurityTokenReference element to reference a security token using an opaque identifier.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`WSSKeyIdentifier(org.w3c.dom.Document owner)` Create a new `WSSKeyIdentifier` instance.
`WSSKeyIdentifier(org.w3c.dom.Document owner, java.lang.String valType)` Create a new `WSSKeyIdentifier` instance.
`WSSKeyIdentifier(org.w3c.dom.Document owner, java.lang.String valType, java.lang.String encType)` Create a new `WSSKeyIdentifier` instance.
`WSSKeyIdentifier(org.w3c.dom.Element element)` Create a new `WSSKeyIdentifier` instance from the given XML element.
`WSSKeyIdentifier(org.w3c.dom.Element element, java.lang.String systemId)` Create a new `WSSKeyIdentifier` instance from the given XML element.

Method Summary
`protected abstract java.lang.String` | `getDefaultEncodingType()` Return the default encoding type of key identifier.
`java.lang.String` | `getEncodingType()` Get the encoding type of key identifier.
`oracle.security.xmlsec.util.QName` | `getName()` Get the name of the security token reference.
`byte[]` | `getValue()` Get the key identifier value.
`java.lang.String` | `getValueType()` Get the type of key identifier.
`void` | `setEncodingType(java.lang.String encType)` Set the encoding type of key identifier.
`void` | `setValue(byte[] value)` Set the key identifier value.
`void` | `setValueType(java.lang.String valType)` Set the type of key identifier.

Methods inherited from class oracle.security.xmlsec.wss.WSSElement
`getId, getWsuId, setId, setWsuId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.wss.WSSecurityTokenReferenceType
`getKey, getNode, getSecurityToken`

Constructor Detail

### WSSKeyIdentifier

    public WSSKeyIdentifier(org.w3c.dom.Element element)

  Create a new `WSSKeyIdentifier` instance from the given XML element.
Parameters:
  `element` - A wsse:KeyIdentifier element.

### WSSKeyIdentifier

    public WSSKeyIdentifier(org.w3c.dom.Element element,
                            java.lang.String systemId)

  Create a new `WSSKeyIdentifier` instance from the given XML element.
Parameters:
  `element` - A wsse:KeyIdentifier element.
  `systemId` - The URI string system ID for this element.

### WSSKeyIdentifier

    public WSSKeyIdentifier(org.w3c.dom.Document owner)

  Create a new `WSSKeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.

### WSSKeyIdentifier

    public WSSKeyIdentifier(org.w3c.dom.Document owner,
                            java.lang.String valType)

  Create a new `WSSKeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `valType` - The type of key identifier.

### WSSKeyIdentifier

    public WSSKeyIdentifier(org.w3c.dom.Document owner,
                            java.lang.String valType,
                            java.lang.String encType)

  Create a new `WSSKeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `valType` - The type of key identifier.
  `encType` - The encoding type of key identifier .

Method Detail

### setValueType

    public void setValueType(java.lang.String valType)

  Set the type of key identifier.
  Parameters:
    `valType` - The key identifier value type.

### getValueType

    public java.lang.String getValueType()

  Get the type of key identifier.
  Returns:
    The key identifier value type.

### setEncodingType

    public void setEncodingType(java.lang.String encType)

  Set the encoding type of key identifier.
  Parameters:
    `encType` - The key identifier encoding type.

### getEncodingType

    public java.lang.String getEncodingType()

  Get the encoding type of key identifier.
  Returns:
    The key identifier encoding type.

### getDefaultEncodingType

    protected abstract java.lang.String getDefaultEncodingType()

  Return the default encoding type of key identifier.

  This is necessary to handle messages that do not contain the EncodingType attribute.

  Returns:
    The key identifier's default encoding type.

### setValue

    public void setValue(byte[] value)

  Set the key identifier value.

  The identifier bytes will be encoded.

  Parameters:
    `value` - The key identifier bytes.

### getValue

    public byte[] getValue()

  Get the key identifier value.
  Returns:
    The key identifier bytes.

### getName

    public oracle.security.xmlsec.util.QName getName()

  Get the name of the security token reference.
  Specified by:
    `getName` in interface `WSSecurityTokenReferenceType`
  Returns:
    The QName of the security token reference type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.